# Swoole\Http\Client::__construct

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Http\Client::__construct — Construct the async HTTP client.

### Description

public Swoole\Http\Client::__construct ( string `$host` [, string `$port` [, boolean `$ssl` ]] )

### Parameters

`host`

  The hostname of the remote host.

`port`

  The port number of the remote host.

`ssl`

  Whether to enable SSL.